package com.care.common.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * 事件-坐席处理历史(CareEventOrderHandleHis)实体类
 *
 * @author makejava
 * @since 2021-05-21 00:08:34
 */

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("care_event_order_handle_his")
@ApiModel(value = "事件-坐席处理历史", description = "")
public class CareEventOrderHandleHis implements Serializable {
    private static final long serialVersionUID = 186961543532866383L;

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;


    @ApiModelProperty("机构ID")
    @TableField("ORG_ID")
    private Long orgId;


    @ApiModelProperty("服务站ID")
    @TableField("STATION_ID")
    private Long stationId;


    @ApiModelProperty("工单ID")
    @TableField("ORDER_ID")
    private Long orderId;


    @ApiModelProperty("处理分类： 1：联系老人 2：联系紧急联系人 3联系管家 4联系120  5钥匙授权 ")
    @TableField("HANDLE_TYPE")
    private Integer handleType;


    @ApiModelProperty("处理结果")
    @TableField("HANDLE_RESULT")
    private String handleResult;


    @ApiModelProperty("处理人ID")
    @TableField("HANDLOR_ID")
    private Long handlorId;


    @ApiModelProperty("处理人姓名")
    @TableField("HANDLOR_NAME")
    private String handlorName;


    @ApiModelProperty("相关照片")
    @TableField("RELATED_PIC")
    private String relatedPic;


    @ApiModelProperty("createTime")
    @TableField("CREATE_TIME")
    private Date createTime;


    @ApiModelProperty("modifyTime")
    @TableField("MODIFY_TIME")
    private Date modifyTime;


}