package com.care.common.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * 被监护人紧急联系人(CareOlderContact)实体类
 *
 * @author makejava
 * @since 2021-05-21 00:08:19
 */

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("care_older_contact")
@ApiModel(value = "被监护人紧急联系人", description = "")
public class CareOlderContact implements Serializable {
    private static final long serialVersionUID = -65396308103537399L;

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;


    @ApiModelProperty("机构ID")
    @TableField("ORG_ID")
    private Long orgId;


    @ApiModelProperty("服务站ID")
    @TableField("STATION_ID")
    private Long stationId;


    @ApiModelProperty("姓名")
    @TableField("NAME")
    private String name;


    @ApiModelProperty("电话")
    @TableField("PHONE")
    private String phone;


    @ApiModelProperty("password")
    @TableField("PASSWORD")
    private String password;


    @ApiModelProperty("姓名：M：男 W：女")
    @TableField("GENDER")
    private String gender;


    @ApiModelProperty("关系类别：1:亲属  2：邻居")
    @TableField("RELATION_TYPE")
    private Integer relationType;


    @ApiModelProperty("联系级别")
    @TableField("CONTACT_LEVEL")
    private Integer contactLevel;


    @ApiModelProperty("状态：1正常；2：禁用")
    @TableField("STATUS")
    private Integer status;


    @ApiModelProperty("经度")
    @TableField("LONGITUDE")
    private Double longitude;


    @ApiModelProperty("纬度")
    @TableField("LATITUDE")
    private Double latitude;


    @ApiModelProperty("createTime")
    @TableField("CREATE_TIME")
    private Date createTime;


    @ApiModelProperty("modifyTime")
    @TableField("MODIFY_TIME")
    private Date modifyTime;


}