package com.care;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import org.springframework.context.annotation.Bean;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.web.client.RestTemplate;


/**
 * @author little
 */
@SpringBootApplication(exclude = {DataSourceAutoConfiguration.class})
@EnableScheduling
@MapperScan("com.care.**.mapper")
public class CareSpringStart {

    public static void main(String[] args) {
        SpringApplication.run(CareSpringStart.class, args);
    }
    @Bean
    RestTemplate createTemplate(){
        return new RestTemplate();
    }
}

