package com.care.common.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * 安全管家-被监护人关系表(CareChamberlainOlderRel)实体类
 *
 * @author makejava
 * @since 2021-05-21 00:08:33
 */

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("care_chamberlain_older_rel")
@ApiModel(value = "安全管家-被监护人关系表", description = "")
public class CareChamberlainOlderRel implements Serializable {
    private static final long serialVersionUID = 444367176801175730L;

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;


    @ApiModelProperty("安全管家ID")
    @TableField("CHAMBERLAIN_ID")
    private Long chamberlainId;


    @ApiModelProperty("被监护人ID")
    @TableField("OLDER_ID")
    private Long olderId;


}