package com.care.common.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * 事件定单表(CareEventOrder)实体类
 *
 * @author makejava
 * @since 2021-05-21 00:08:29
 */

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("care_event_order")
@ApiModel(value = "事件定单表", description = "")
public class CareEventOrder implements Serializable {
    private static final long serialVersionUID = -78566992201198077L;

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;


    @ApiModelProperty("机构ID")
    @TableField("ORG_ID")
    private Long orgId;


    @ApiModelProperty("服务站ID")
    @TableField("STATION_ID")
    private Long stationId;


    @ApiModelProperty("被监护人ID")
    @TableField("OLDER_ID")
    private Long olderId;


    @ApiModelProperty("工单标题")
    @TableField("TITLE")
    private String title;


    @ApiModelProperty("工单分类： 1：跌倒 2：久滞 3坠床 4主动呼叫 5室外呼叫")
    @TableField("ORDER_TYPE")
    private String orderType;


    @ApiModelProperty("状态：0未处理，1处理中，2已完成，3主动取消，4已归档")
    @TableField("STATUS")
    private String status;


    @ApiModelProperty("createTime")
    @TableField("CREATE_TIME")
    private Date createTime;


    @ApiModelProperty("修改人ID")
    @TableField("MODIFY_USER")
    private Long modifyUser;


    @ApiModelProperty("modifyTime")
    @TableField("MODIFY_TIME")
    private Date modifyTime;


}