package com.care.common.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * 事件-紧急联系人/管家状态(CareEventOrderContactStatus)实体类
 *
 * @author makejava
 * @since 2021-05-21 00:08:39
 */

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("care_event_order_contact_status")
@ApiModel(value = "事件-紧急联系人/管家状态", description = "")
public class CareEventOrderContactStatus implements Serializable {
    private static final long serialVersionUID = -12626611302622664L;

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;


    @ApiModelProperty("机构ID")
    @TableField("ORG_ID")
    private Long orgId;


    @ApiModelProperty("服务站ID")
    @TableField("STATION_ID")
    private Long stationId;


    @ApiModelProperty("工单ID")
    @TableField("ORDER_ID")
    private Long orderId;


    @ApiModelProperty("联系角色： 1：紧急联系人 2：管家")
    @TableField("CONTACT_ROLE")
    private String contactRole;


    @ApiModelProperty("联系人ID")
    @TableField("CONTACT_ID")
    private Long contactId;


    @ApiModelProperty("状态：1联系超时,2赶往现场,3:到达 4:已获门锁权限 ")
    @TableField("STATUS")
    private String status;


    @ApiModelProperty("处理结果")
    @TableField("HANDLE_RESULT")
    private String handleResult;


    @ApiModelProperty("坐席ID")
    @TableField("SEAT_ID")
    private Long seatId;


    @ApiModelProperty("createTime")
    @TableField("CREATE_TIME")
    private Date createTime;


    @ApiModelProperty("modifyTime")
    @TableField("MODIFY_TIME")
    private Date modifyTime;


}