package com.care.common.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * 机构(CareOrganization)实体类
 *
 * @author makejava
 * @since 2021-05-21 00:08:35
 */

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("care_organization")
@ApiModel(value = "机构", description = "")
public class CareOrganization implements Serializable {
    private static final long serialVersionUID = -34585950888103479L;

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;


    @ApiModelProperty("机构名称")
    @TableField("NAME")
    private String name;


    @ApiModelProperty("机构简称")
    @TableField("SHORT_NAME")
    private String shortName;


    @ApiModelProperty("机构编码：登陆时使用")
    @TableField("ORG_CODE")
    private String orgCode;


    @ApiModelProperty("地址")
    @TableField("ADDR")
    private String addr;


    @ApiModelProperty("经度")
    @TableField("LONGITUDE")
    private Double longitude;


    @ApiModelProperty("纬度")
    @TableField("LATITUDE")
    private Double latitude;


    @ApiModelProperty("createTime")
    @TableField("CREATE_TIME")
    private Date createTime;


    @ApiModelProperty("modifyTime")
    @TableField("MODIFY_TIME")
    private Date modifyTime;


}